## org.eclipse.jet
Interface JET2Template

    public interface JET2Template

Interface to compiled JET2 templates.

Method Summary
`void` `generate(JET2Context context, JET2Writer out)` Execute the template against the input contained in the `JET2Context`, and writing the result to the `JET2Writer`.

Method Detail

### generate

    void generate(JET2Context context,
                  JET2Writer out)

  Execute the template against the input contained in the `JET2Context`, and writing the result to the `JET2Writer`.

  Parameters:
    `context` - the input context. Cannot be `null`.
    `out` - the output writer. Cannote be `null`.

Copyright 2006 IBM Corporation and others. All Rights Reserved.